GET /sync/history/{type}/{id}

trakt.tv

Summary: Get watched history
Operation ID: Get watched history
Auth: unknown
Description

#### 🔒 OAuth Required 📄 Pagination ✨ Extended Info Returns movies and episodes that a user has watched, sorted by most recent. You can optionally limit the `type` to `movies` or `episodes`. The `id` _(64-bit integer)_ in each history item uniquely identifies the event and can be used to remove individual events by using the [**/sync/history/remove**](#reference/sync/remove-from-history/get-watched-history) method. The `action` will be set to `scrobble`, `checkin`, or `watch`. Specify a `type` and trakt `id` to limit the history for just that item. If the `id` is valid, but there is no history, an empty array will be returned. | Example URL | Returns watches for... | |---|---| | `/history/movies/12601` | TRON: Legacy | | `/history/shows/1388` | All episodes of Breaking Bad | | `/history/seasons/3950` | All episodes of Breaking Bad: Season 1 | | `/history/episodes/73482` | Only episode 1 for Breaking Bad: Season 1 |

Parameters (6)

end_at (string, query, optional)

Ending date.

id (integer, path, required)

Trakt ID for a specific item.

start_at (string, query, optional)

Starting date.

trakt-api-key (string, header, optional)

e.g. [client_id]

trakt-api-version (string, header, optional)

e.g. 2

type (string, path, required)

Constraints: {'enum': ['movies', 'shows', 'seasons', 'episodes']}

No probe data for this endpoint yet.